# SolrQuery::setHighlightSnippets

(PECL solr >= 0.9.2)

SolrQuery::setHighlightSnippets — Définit le nombre maximal d'extraits à coloriser par champ

### Description

public SolrQuery::setHighlightSnippets(int `$value`, string `$field_override` = ?): SolrQuery

Définit le nombre maximal d'extraits à coloriser par champ.

### Liste de paramètres

`value`

  Le nombre maximal d'extraits à coloriser par champ.

`field_override`

  Le nom du champ.

### Valeurs de retour

Retourne l'objet SolrQuery courant, si la valeur retournée est utilisée.